Skip to main content
`Ctrl`+`K`

# PetscInfoGetFile

Gets the `filename` and `FILE` pointer of the file where `PetscInfo()` prints to

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoGetFile(char **filename, FILE **InfoFile)

Not Collective; No Fortran Support

## Output Parameters

- filename - The name of the output file

- InfoFile - The `FILE` pointer for the output file

## Note

This routine allocates and copies the `filename` so that the `filename` survives `PetscInfoDestroy()`. The user is therefore responsible for freeing the allocated `filename` pointer with `PetscFree()`

## See Also

Interpreting -info Output: Informative Messages, `PetscInfo()`, `PetscInfoSetFile()`, `PetscInfoSetFromOptions()`, `PetscInfoDestroy()`

## Level

advanced

## Location

src/sys/info/verboseinfo.c

## Examples

src/mat/tutorials/ex7.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages